From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/tm-align/
Date: Fri, 25 Dec 2015 10:38:12 +0000 (UTC) [thread overview]
Message-ID: <1451037601.4b18842e8fc7e7ff91d89ef48e0adfa7faa7c1c5.jlec@gentoo> (raw)
commit: 4b18842e8fc7e7ff91d89ef48e0adfa7faa7c1c5
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 25 10:00:01 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Dec 25 10:00:01 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b18842e
sci-chemistry/tm-align: Version Bump
Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
sci-chemistry/tm-align/Manifest | 1 +
sci-chemistry/tm-align/tm-align-20150914.ebuild | 25 +++++++++++++++++++++++++
2 files changed, 26 insertions(+)
diff --git a/sci-chemistry/tm-align/Manifest b/sci-chemistry/tm-align/Manifest
index d9e8dc8..93b1493 100644
--- a/sci-chemistry/tm-align/Manifest
+++ b/sci-chemistry/tm-align/Manifest
@@ -1 +1,2 @@
DIST TMtools20140601.tar.gz 934391 SHA256 5032f7ab1824c8b2191b4a3667e1405feb6ccf7c900f57632aa506fff8ec1bf5 SHA512 99b90425ff051c836e19225601ddfb1576bec9c8f233aafeba96075f924a3c0892b5b1cfef36254ff5ef468a6dbf64f7fcc9a3ce24a0d869b3c1eb87c0149765 WHIRLPOOL 5ba7d9cb71e3055dff62851c68e127314b9ca70c4bbc39aeba35e5a4b02dc0cffeacb52c6369c90875d8062603c830acf604cfc339bdecfeb3dd6c10015e20de
+DIST TMtools20150914.tar.gz 982948 SHA256 de318e77ac5d7b9bf095bdc1c0d03d5536d6d7099ec2b6a2c201136da9274da4 SHA512 5fda29f6437ac9b0216a037496a01502de07e5a36736815833cb09217158a959370e750b75c55a54a49c733e4bd28be53b2dcbb25d71e2897273a4280ed3b530 WHIRLPOOL d366aa0d62d11b4af6137f87168c6156257c9e91c76c165ad256115016e571c94dce4235f015b5c0adecc4a8104ea432f53de2bd135332596235c56b9830b19f
diff --git a/sci-chemistry/tm-align/tm-align-20150914.ebuild b/sci-chemistry/tm-align/tm-align-20150914.ebuild
new file mode 100644
index 0000000..e711c75
--- /dev/null
+++ b/sci-chemistry/tm-align/tm-align-20150914.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit cmake-utils flag-o-matic fortran-2
+
+DESCRIPTION="Quick & Accurate Structural Alignment"
+HOMEPAGE="http://zhanglab.ccmb.med.umich.edu/TM-align/"
+SRC_URI="http://zhanglab.ccmb.med.umich.edu/TM-align/TMtools${PV}.tar.gz"
+
+LICENSE="tm-align"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="static custom-cflags"
+
+S="${WORKDIR}"
+
+src_prepare() {
+ cp "${FILESDIR}"/CMakeLists.txt . || die
+ use static && append-fflags -static && append-ldflags -static
+ # recommended by upstream
+ use custom-cflags || replace-flags -O* -O3 && append-fflags -ffast-math
+}
next reply other threads:[~2015-12-25 10:38 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-12-25 10:38 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2018-10-14 19:41 [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/tm-align/ Andreas Sturmlechner
2018-10-15 19:05 Sergei Trofimovich
2018-10-25 18:21 Mikle Kolyada
2018-10-26 18:50 Thomas Deutschmann
2018-10-26 20:34 Andreas Sturmlechner
2022-02-27 22:52 Sam James
2022-03-06 8:50 Agostino Sarubbo
2022-03-06 8:52 Agostino Sarubbo
2022-03-06 8:54 Agostino Sarubbo
2022-03-06 16:39 Andreas Sturmlechner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1451037601.4b18842e8fc7e7ff91d89ef48e0adfa7faa7c1c5.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox